You are not logged in.

#1 2008-10-23 20:38:02

funkmuscle
Member
Registered: 2006-02-09
Posts: 527

make: execvp: /usr/bin: Permission denied[SOLVED]

hey, I'm trying to install an app called jconv.
I get this error:
make: execvp: /usr/bin: Permission denied

here is the make file..(don't have the first clue on making a PKGBUILD)


#  Copyright (C) 2005-2007 Fons Adriaensen <fons@kokkinizita.net>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


PREFIX = /usr
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
DISTDIR = jconv-$(VERSION)
VERSION = 0.2.0
LDFLAGS += -L$(PREFIX)/$(LIBDIR)
CPPFLAGS += -O3 -Wall -MMD -MP -DVERSION=\"$(VERSION)\"
#CPPFLAGS += -march=i686 -mtune=pentium4 -msse -msse2 -m3dnow -O3 -ffast-math


# Uncomment if you use a libsndfile version without support for setting/getting the Ambisonic flags.
#
CPPFLAGS += -DNOAMBIS=1


all:    jconv fconv mkwavex


JCONV_O =    jconv.o config.o jconfig.o jclient.o
jconv:    LDLIBS += -lzita-convolver -lfftw3f -lsndfile -lclthreads -ljack -lpthread -lrt
jconv:    $(JCONV_O)
    g++ $(LDFLAGS) -o $@ $(JCONV_O) $(LDLIBS)
$(JCONV_O):
-include $(JCONV_O:%.o=%.d)



FCONV_O =    fconv.o config.o fconfig.o
fconv:    LDLIBS += -lzita-convolver -lfftw3f -lsndfile -lpthread -lrt
fconv:    $(FCONV_O)
    g++ $(LDFLAGS) -o $@ $(FCONV_O) $(LDLIBS)
$(FCONV_O):
-include $(FCONV_O:%.o=%.d)



MKWAVEX_O =    mkwavex.o impdata.o
mkwavex : LDLIBS += -lsndfile -lrt
mkwavex:    $(MKWAVEX_O)
    g++ $(LDFLAGS) -o $@ $(MKWAVEX_O) $(LDLIBS)




install:    jconv fconv mkwavex
    /usr/bin/install -m 755 jconv $(PREFIX)/bin
    /usr/bin/install -m 755 fconv $(PREFIX)/bin
    /usr/bin/install -m 755 mkwavex $(PREFIX)/bin


clean:
    /bin/rm -f *~ *.o *.a *.d *.so jconv fconv

Last edited by funkmuscle (2008-10-23 21:51:15)

Offline

#2 2008-10-23 21:17:02

ChoK
Member
From: France
Registered: 2008-10-01
Posts: 345

Re: make: execvp: /usr/bin: Permission denied[SOLVED]

you should be root to copy files into /usr/bin so you should

./configure
make             #build binaries
sudo root        (or "su root") #gain root privileges
make install   #this will copy your new files in the system that's why it needs permission


found this howto in the official wiki
there is no ./configure, only the last 3 steps

Last edited by ChoK (2008-10-23 21:17:25)


Ah, good taste! What a dreadful thing! Taste is the enemy of creativeness.
Picasso
Perfection is reached, not when there is no longer anything to add, but when there is no longer anything to take away.
Saint Exupéry

Offline

#3 2008-10-23 21:23:10

funkmuscle
Member
Registered: 2006-02-09
Posts: 527

Re: make: execvp: /usr/bin: Permission denied[SOLVED]

Thanx Chok. I know that. That's why I'm posting this. This app was make for debian so it's something to do with:

install:    jconv fconv mkwavex
    /usr/bin/install -m 755 jconv $(PREFIX)/bin
    /usr/bin/install -m 755 fconv $(PREFIX)/bin
    /usr/bin/install -m 755 mkwavex $(PREFIX)/bin



solved...I removed [/usr/bin/install -m 755] and replaced with [install]
so it looked like this:
install $(PREFIX)/bin

Last edited by funkmuscle (2008-10-23 21:50:26)

Offline

Board footer

Powered by FluxBB